## golang-github-alicebob-miniredis 0.0~git20170325.0.bfdf65a

=== Makefile ===
.PHONY: all install test vet

all: test vet

install:
	go install

test:
	go test

vet:
	go vet
	golint .

=== debian/changelog ===
golang-github-alicebob-miniredis (0.0~git20170325.0.bfdf65a-1) unstable; urgency=medium

  * Initial release (Closes: #859160)

 -- Michael Lustfield <michael@lustfield.net>  Fri, 31 Mar 2017 13:04:03 -0500

## golang-github-alicebob-miniredis 2.1.0+git20170430.0.995ba13

=== Makefile ===
.PHONY: all install test vet

all: test vet

install:
	go install

test:
	go test ./...

vet:
	go vet ./...
	golint ./...

=== debian/changelog ===
golang-github-alicebob-miniredis (2.1.0+git20170430.0.995ba13-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 17 Jul 2017 15:32:38 -0500

=== debian/control ===
Source: golang-github-alicebob-miniredis
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-bsm-redeo-dev,
               golang-github-garyburd-redigo-dev
Standards-Version: 3.9.8
Homepage: https://github.com/alicebob/miniredis
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-alicebob-miniredis.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-alicebob-miniredis.git
XS-Go-Import-Path: github.com/alicebob/miniredis

Package: golang-github-alicebob-miniredis-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-bsm-redeo-dev,
         golang-github-garyburd-redigo-dev
Description: Pure Go Redis server for Go unittests
 This Go library implements a miniature version of Redis server that
 can be used in Go unit testing. It enables a simple, cheap, in-memory,
 Redis replacement, with a real TCP interface.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-alicebob-miniredis-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/alicebob/miniredis/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-alicebob-miniredis 2.2.1

=== Makefile ===
.PHONY: all install test testrace vet

all: test vet

install:
	go install

test:
	go test ./...

testrace:
	go test -race ./...

vet:
	go vet ./...
	golint ./...

=== debian/changelog ===
golang-github-alicebob-miniredis (2.2.1-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * QA upload.
  * Move package to QA team.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 20:37:35 +0000

golang-github-alicebob-miniredis (2.2.1-4) UNRELEASED; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Fix Debian QA group name.

  [ Debian Janitor ]
  * Change priority extra to priority optional.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Name.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Alexandre Viau <aviau@debian.org>  Mon, 02 Apr 2018 14:24:40 -0400

golang-github-alicebob-miniredis (2.2.1-3) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:26 -0600

golang-github-alicebob-miniredis (2.2.1-2) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:15:57 -0600

golang-github-alicebob-miniredis (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Sun, 15 Oct 2017 21:26:57 -0500

golang-github-alicebob-miniredis (2.1.0.0-3) unstable; urgency=medium

  * Minor update: set correct standards-version.

 -- Michael Lustfield <michael@lustfield.net>  Tue, 26 Sep 2017 00:58:41 -0500

golang-github-alicebob-miniredis (2.1.0.0-2) unstable; urgency=medium

  * Maintenance Update:
    - Update for standards version 4.1.0.
    - Correct d/watch.
    - Follow upstream releases; not git tags.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 28 Aug 2017 23:14:59 -0500

=== debian/control ===
Source: golang-github-alicebob-miniredis
Testsuite: autopkgtest-pkg-go
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-bsm-redeo-dev,
               golang-github-garyburd-redigo-dev
Standards-Version: 4.1.1
Homepage: https://github.com/alicebob/miniredis
Vcs-Browser: https://salsa.debian.org/debian/golang-github-alicebob-miniredis
Vcs-Git: https://salsa.debian.org/debian/golang-github-alicebob-miniredis.git
XS-Go-Import-Path: github.com/alicebob/miniredis

Package: golang-github-alicebob-miniredis-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-bsm-redeo-dev,
         golang-github-garyburd-redigo-dev
Description: Pure Go Redis server for Go unittests
 This Go library implements a miniature version of Redis server that
 can be used in Go unit testing. It enables a simple, cheap, in-memory,
 Redis replacement, with a real TCP interface.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,\
"  https://github.com/alicebob/miniredis/releases \
   .*/archive/v?(\d[\d.]+)\.tar\.gz
